View Issue Details

IDProjectCategoryView StatusLast Update
0004163SymmetricDSBugpublic2019-12-02 15:12
ReporterelongAssigned Toelong 
Priorityhigh 
Status closedResolutionfixed 
Product Version3.11.0 
Target Version3.11.1Fixed in Version3.11.1 
Summary0004163: MySQL ignore zeroDateTimeBehavior=convertToNull if server is set to NO_ZERO_DATE
DescriptionThe settings of db.url with zeroDateTimeBehavior=convertToNull and server set to sql_mode of NO_ZERO_DATE are not compatible. SymmetricDS will try to compare dates with 0000-00-00 to convert them, but MySQL will return a syntax error, which causes queries and triggers to break.
TagsNo tags attached.

Relationships

related to 0004161 closedelong MySQL ignore zeroDateTimeBehavior=convertToNull if server is set to NO_ZERO_DATE 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2019-11-24 12:20 elong New Issue
2019-11-24 12:20 elong Status new => assigned
2019-11-24 12:20 elong Assigned To => elong
2019-11-24 12:20 elong Issue generated from: 0004161
2019-11-24 12:20 elong Relationship added related to 0004161
2019-11-24 12:23 elong Status assigned => resolved
2019-11-24 12:23 elong Resolution open => fixed
2019-11-24 12:23 elong Fixed in Version => 3.11.1
2019-12-02 15:12 admin Status resolved => closed